| Qore FilePoller Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
FilePoller::FilePollerDataProviderBase Class Reference

Event-based data provider for file events. More...

Inheritance diagram for FilePoller::FilePollerDataProviderBase:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
*string | getDesc ()
| Returns the data provider description.
| updateConnectionObjects (object conn, object connobj)
| Update any connection used by the data provider.

## Public Attributes
const | ConstructorOptions = ...
| Constructor options.

## Protected Member Functions
hash< string, hash< DataProviderMessageInfo > > | getEventTypesImpl ()
| Returns a hash of all supported event types.

## Protected Attributes
EmbeddedFilePoller | poller
| The file poller itself.

## Detailed Description

Event-based data provider for file events.

Note that this class will continue to output all matching files in the given folder until they are removed.

In the assumed scenario, matches files are removed by a single observer in the first notification event

## Member Function Documentation

## ◆ getEventTypesImpl()

hash< string, hash< DataProviderMessageInfo > > FilePoller::FilePollerDataProviderBase::getEventTypesImpl | ( |  | ) |
| protected

Returns a hash of all supported event types.

Returns
  a hash of all supported event types

Note
  only called if the provider supports the observer pattern / event API

## ◆ updateConnectionObjects()

FilePoller::FilePollerDataProviderBase::updateConnectionObjects | ( | object | conn,
|  | object | connobj )

Update any connection used by the data provider.

Parameters

  conn | the new AbstractConnection object
  connobj | the new connection object itself (ex: RestClient for a "rest" connection)